### Virtual Method

# Goa Mail get_smtp_host

#### Declaration [src]

    const gchar*
    get_smtp_host (
      GoaMail* object
    )

#### Description [src]

Gets the value of the “SmtpHost” D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `goa_mail_dup_smtp_host()` if on another thread.

#### Return value

Type: `const gchar*`

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.